/**
 *
 */
package de.intevation.gnv.transition;

import java.util.Collection;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class DefaultOutputMode implements OutputMode {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -6459085460904827056L;
    private String name = null;
    private String description = null;
    private String mimeType = null;
    private Collection<InputValue> inputParameters = null;

    /**
     * Constructor
     * 
     * @param name
     * @param description
     * @param mimeType
     */
    public DefaultOutputMode(String name, String description, String mimeType,
                             Collection<InputValue> inputParameters) {
        super();
        this.name = name;
        this.description = description;
        this.mimeType = mimeType;
        this.inputParameters = inputParameters;
    }

    /**
     * @see de.intevation.gnv.transition.OutputMode#getDescription()
     */
    public String getDescription() {
        return this.description;
    }

    /**
     * @see de.intevation.gnv.transition.OutputMode#getMimeType()
     */
    public String getMimeType() {
        return this.mimeType;
    }

    /**
     * @see de.intevation.gnv.transition.OutputMode#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "Name: " + this.name + " ; Description: " + this.description
               + " ; Mime-Type: " + this.mimeType;
    }

    /**
     * @see de.intevation.gnv.transition.OutputMode#getInputParameters()
     */
    public Collection<InputValue> getInputParameters() {
        return this.inputParameters;
    }

}
